{
  "name": "@kwaeri/session-store",
  "description": "The @kwaeri/session-store component of the @kwaer/node-kit application platform.",
  "homepage": "https://gitlab.com/kwaeri/node-kit/session-store#README",
  "author": "Richard Winters <kirvedx@gmail.com> and contributors",
  "copyright.owner": "Richard Winters <kirvedx@gmail.com> and contributors",
  "license": "(Apache-2.0 WITH LLVM-exception OR MIT)",
  "version": "1.1.1",
  "type": "module",
  "exports": {
    "import": "./dist/index.mjs",
    "require": null
  },
  "main": "dist/index.mjs",
  "types": "dist/index.d.mts",
  "bin": {},
  "default_locale": "en",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/kwaeri/node-kit/session-store.git"
  },
  "bugs": {
    "url": "https://gitlab.com/kwaeri/node-kit/session-store/issues"
  },
  "funding": [
    {
      "type": "Patreon",
      "url": "https://patreon.com/kirvedx"
    },
    {
      "type": "PayPal",
      "url": "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=YUW4CWCAABCU2"
    }
  ],
  "keywords": [
    "mmod",
    "massively",
    "modified",
    "nk",
    "Kwaeri",
    "nodekit",
    "session",
    "session-store",
    "@kwaeri/node-kit",
    "@kwaeri/session",
    "@kwaeri/session-store"
  ],
  "scripts": {
    "build": "tsc --build --clean && tsc -p .",
    "clean": "tsc --build --clean",
    "build:major-release": "npm run clean && xfmr-cli --bump-version --component major --source --project && npm run build",
    "build:minor-release": "npm run clean && xfmr-cli --bump-version --component minor --source --project && npm run build",
    "build:patch-release": "npm run clean && xfmr-cli --bump-version --source --project && npm run build",
    "test": "mocha --exit",
    "coverage": "nyc mocha --exit",
    "abc": "npm run build && npm run coverage"
  },
  "devDependencies": {
    "@istanbuljs/esm-loader-hook": "^0.2.0",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@kwaeri/xfmr": "^0.1.6",
    "@tsconfig/node18": "^1.0.1",
    "@types/debug": "^4.1.7",
    "@types/mocha": "^10.0.0",
    "@types/node": "^18.11.9",
    "assert": "^2.0.0",
    "mocha": "^10.1.0",
    "nyc": "^15.1.0",
    "typescript": "^4.9.3"
  },
  "dependencies": {
    "@kwaeri/console": "^2.1.1",
    "@kwaeri/developer-tools": "^0.5.0",
    "debug": "^4.3.4"
  }
}
